Skip to main content
GET
/
v0
/
topics
List topics
curl --request GET \
  --url https://api.tryarchitect.com/v0/topics \
  --header 'x-api-key: <api-key>'
{
  "hasMore": true,
  "items": [
    {
      "topicId": "<string>",
      "title": "<string>",
      "purpose": "<string>",
      "sortOrder": 123,
      "isDefault": true,
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "entries": [
        {
          "topicEntryId": "<string>",
          "topicId": "<string>",
          "sortOrder": 123,
          "content": {
            "type": "<string>",
            "content": "<string>"
          },
          "createdAt": "<string>",
          "updatedAt": "<string>"
        }
      ]
    }
  ],
  "nextCursor": "<string>",
  "totalCount": 4503599627370495
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Query Parameters

cursor
string

cursor parameter

limit
number

limit parameter

Response

Successful operation

hasMore
boolean
required
items
object[]
required
nextCursor
string | null
required
totalCount
integer
required
Required range: 0 <= x <= 9007199254740991